

class OStimes
  def initialize
    @start_proc_time = Process::times;  @start_proc_date = Time.now
  end

  def reset
    @start_proc_time = Process::times;  @start_proc_date = Time.now
  end

  def session_times(of, msg)
    fin_proc_time = Process::times;  fin_proc_date = Time.now

    time_string = sprintf("(minutes): " +
      "elapsed=%.3f, user=%.3f, system=%.3f",
    (fin_proc_date.to_i - @start_proc_date.to_i)/60.0,
    (fin_proc_time.utime - @start_proc_time.utime)/60.0,
    (fin_proc_time.stime - @start_proc_time.stime)/60.0 )
    of.print "#{msg}: times #{time_string}\n"
  end
end  # OStimes

def check_dir_exists(dn)
  e = File.exists?(dn); d = File.directory?(dn)
  if e && !d
    print "#{dn} is an existing file, not creating directory !!!\n"
    exit
  end
  Dir.mkdir(dn) if !e
end
