#!/usr/bin/env ruby

fn = ARGV[0]
if fn.nil?
  fn = 'sum2/2012-01-02/20120102.1000.fdf'
end

bn = File.basename(fn, '.fdf')
ofn = bn + '.dat'


f = File.open(fn, 'r')
of = File.new(ofn, 'w')

n = 0
of.print "#ts mps  mpi  msi mso si_so_pc\n"
f.each_line do |line|
  # print line
  la = line.split(' ', 3)
  if la[2] =~ /mps=(\d+).+mpi=(\d+).+msi=(\d+).+mso=(\d+)/
    mps = $1;  mpi = $2;  msi = $3;  mso = $4
    si_so_pc = msi.to_f*100.0/mso.to_f
    of.printf("%u %u  %u  %u %u %.2f\n",  la[1], mps, mpi, msi, mso, si_so_pc)
  end
  n += 1 #;  break if n == 20
end
of.close;  f.close

=begin
set xdata time
set timefmt '%s'
set format x '%d:%H'
set datafile missing '?'

set grid linetype 0

plot '20120102.1000.dat' u 1:2 ax x1y1, '' u 1:6 ax x1y2  # si_so_pc
plot '20120102.1000.dat' u 1:4 ax x1y1, '' u 1:6 ax x1y2  # si_so_pc

Only ever needed 82 pi,
si = min(300k, 70% mso) ?  <- look OK

=end
